
int relayPin =  13;
int enA = 5;
int in1 = 6;
int in2 = 7;

#include <DHT.h>

#define dhtPin 12
#define dhtType DHT11

DHT dht(dhtPin, dhtType);

float humidityVal;
float tempValC;
float heatIndexC;




void setup() 
{
//Seriele monitor starten  
Serial.begin(9600);

pinMode (enA, OUTPUT);
pinMode (in1, OUTPUT);
pinMode (in2, OUTPUT);

//Motor uitzetten
digitalWrite (in1, LOW);
digitalWrite (in2, LOW);

//Temperatuur en vochtsensor starten
dht.begin();

//Relais voor warmte element(lamp)
pinMode(relayPin, OUTPUT);
}





void speedControl()
{
  //Zet de motor aan
  digitalWrite (in1, LOW);
  digitalWrite (in2, HIGH);

  //Gaat van snelheid 0 naar ingestelde snelheid
  for (int i=0;i<150;i++)
  {
    analogWrite (enA,i);
    delay (20);
  }

  //Gaat van ingestelde snelheid naar snelheid 0
  for (int i=150;i>=0;i--)
  {
    analogWrite (enA,i);
    delay(20);
  }

  //Zet motor uit
  digitalWrite (in1, LOW);
  digitalWrite (in2, LOW);
}





void loop() 
{
  {
    //Stel in om de hoeveel ms de motor aan gaat.
  delay (5000);
  speedControl();
  }

  humidityVal = dht.readHumidity();
  tempValC = dht.readTemperature();
  
  if (isnan(humidityVal) || isnan(tempValC)) {
    Serial.println("make a bamboo farm");

    return;
  }  

  heatIndexC = dht.computeHeatIndex(tempValC, humidityVal, false);


Serial.print("Luchtvochtigheid:  ");
Serial.print(humidityVal);
Serial.print(" %\t");

Serial.print("Temperatuur:  ");
Serial.print(tempValC);
Serial.print(" °C\t ");

Serial.print("Gevoelstemperatuur: ");
Serial.print(heatIndexC);
Serial.println(" °C ");

delay(2000);

  if (tempValC < 38) {
    digitalWrite(relayPin, LOW);
  } else {
    digitalWrite(relayPin, HIGH);
  }
}


